using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Configuration;
using Logicweb.WebCtls;

namespace lgwapp.common.sysform
{
	/// <summary>
	/// Summary description for controlList.
	/// </summary>
	public class controlList : System.Web.UI.Page
	{
		protected Logicweb.WebCtls.TabCtl toolTabCtl;
		private void Page_Load(object sender, System.EventArgs e)
		{
			string strFormId = Request.QueryString["oId"];
			SqlConnection cnn = new SqlConnection(Logicweb.Data.GetDatabaseConnectionString(1));
			try
			{
				cnn.Open();
				SqlCommand cmd = new SqlCommand("SELECT checkout_by FROM lgwForms WHERE form_id=" + strFormId, cnn);
				bool bReadOnly = false;
				if(Convert.ToString(cmd.ExecuteScalar()) != Logicweb.Data.UserId()) bReadOnly = true;

				AppTab tab = new AppTab();
				tab.Title = "Fields";
				tab.TabID = 1;
				Menu toolMenuBar = new Menu();
				if(bReadOnly==false)
				{
					toolMenuBar.AddGridMainMenu("Action");
					toolMenuBar.AddSubMenuItem("Assign To Section", "Assign selected fields to a given section", "doBulkUpdate('toolGrid','form-section','" + strFormId + "');", null);
					toolMenuBar.AddSubMenuItem("Change Attributes", "Change attribute for selected fields", "doBulkUpdate('toolGrid','form-field-attrs');", null);
					toolMenuBar.AddSubMenuItem("Delete", "Delete selected item(s)", "doDelete('toolGrid', '4');", "/lgwres/imgs/ico/delete.gif");
					toolMenuBar.AddRightButton("New Field", "Create a new field", "cmdAction('new');", "/lgwres/imgs/ico/new.ico");
					toolMenuBar.AddRightButton("Auto Fields", "Auto create fields based on View SQL statement", "autoFields();", "/lgwres/imgs/ico/new.ico");
					toolMenuBar.AddRightButton("Auto Orders", "Sort the display orders", "SortFields();", "/lgwres/imgs/ico/sort.gif");
				}
				toolMenuBar.AddRightButton(null, "Export to an Excel file", "exportToExcel('toolGrid', '4')", "/lgwres/imgs/ico/excel.ico");
				toolMenuBar.MenuType = 4;
				tab.AddMenu(toolMenuBar);
				GridCtl toolGrid = new GridCtl();
				toolGrid.ID = "toolGrid";
				toolGrid.AddParams("recId", Request.QueryString["oId"]);
				toolGrid.ViewID = 4;
				tab.AddControl(toolGrid, "", false, false);
				toolTabCtl.InAppForm = false;
				toolTabCtl.AddAppTab(tab);

			}
			catch(Exception ex)
			{
				Logicweb.Data.ErrorHandler(Logicweb.Data.ErrorCode.Error, ex.Message);
			}
			finally
			{
				cnn.Close();
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
