function getSelected(sGridName)
{
	var iTotal = document.frames(sGridName)._iNumSelected;
	if (iTotal == 0) return false;
	var o = document.frames(sGridName)._grid.gridBodyTable;
	var a = new Array(iTotal);
	var ii = 0;
	for (var i=0; i < o.rows.length; i++)
	{
		if (o.rows[i].cells[0].firstChild.checked && !o.rows[i].cells[0].firstChild.disabled)
		{
			a[ii] = o.rows[i].oid;
			ii++;
		}
		if (ii == iTotal) break;
	}
	return a;
}
function getSelectedSubTypes(sGridName)
{
	var iTotal = document.frames(sGridName)._iNumSelected;
	if (iTotal == 0) return false;
	var o = document.frames(sGridName)._grid.gridBodyTable;
	var aSubType = new Array(iTotal);
	var j = 0;
	for (var i=0; i < o.rows.length; i++)
	{
		if (o.rows[i].cells[0].firstChild.checked)
		{
			aSubType[j] = o.rows[i].otype;
			j++;
		}
		if (j == iTotal)
			break;
	}
	return aSubType;
}
function exportToExcel(sGridName, sObjId)
{
	printGrid(sGridName, sObjId, true);
}

function OpenMultipleValuePicker(refKey, oId, gridId)
{
	var t = new Date();
	var dummy = t.getTime();
	if(true==openStdDlg('/lgwapp/common/controls/grid/addmore.aspx?KEY='+refKey+'&oId='+oId+'&dummy='+dummy,null,500,550))
	{
		try
		{
			Refresh(gridId);
		}
		catch(e)
		{
		}
	}
}

function printGrid(sGridName, sObjId, bForExcel)
{
	var oFrmGrid, sViewId, sAspFile, sMode, sMultiPage;
	var iX = 300;
	var iY = 230;
	try
	{
		var oFrame = document.frames(sGridName);
		oFrmGrid	= oFrame.frmGrid;
		sViewId		= oFrmGrid.viewId.value;
		sMultiPage	= (("0" != oFrame._grid.gridBodyTable.morerecords) || (1 < oFrmGrid.pageNum.value))? "true" : "false";

		if (bForExcel)
		{
			sAspFile	= "print_data.aspx?xslType=";
			sMode		= "export";
		}
		else
		{
			sAspFile	= "print.aspx?xslType=";
			sMode		= "print";
		}
		
		if ( "true" != sMultiPage )
		{
			if(bForExcel)
			{
				top.navigate("/lgwapp/common/controls/grid/" + sAspFile + sMode + BuildPrintQueryString(oFrmGrid, sMultiPage));
			}
			else
			{
				openStdWin("/lgwapp/common/controls/grid/" + sAspFile + sMode + BuildPrintQueryString(oFrmGrid, sMultiPage), "print" + buildWinName(sViewId));
			}
		}
		else
		{
			sMultiPage = openStdDlg("/lgwapp/common/controls/grid/print_dlg.aspx?mode=" + sMode, null, iX, iY );
			if (sMultiPage)
			{
				if(bForExcel)
				{
					top.navigate("/lgwapp/common/controls/grid/" + sAspFile + sMode + BuildPrintQueryString(oFrmGrid, sMultiPage));
				}
				else
				{
					openStdWin("/lgwapp/common/controls/grid/" + sAspFile + sMode + BuildPrintQueryString(oFrmGrid, sMultiPage), "print" + buildWinName(sViewId));
				}
			}
		}
	}
	catch(e)
	{
	}
}
function BuildPrintQueryString(oFrmGrid, sMultiPage)
{
	var sQueryString = "";
	var iLen = oFrmGrid.elements.length;
	for (var i = 0; i < iLen; i++)
	{
		sQueryString += "&" + oFrmGrid.elements[i].name + "=" + escape(oFrmGrid.elements[i].value);
	}
	sQueryString += "&multiPage=" + sMultiPage;
	return sQueryString;
}

function doDelete(sGrid, iObjType)
{
	var a;
	a = getSelected(sGrid);
	if (!a)
	{
		alert("You must select one or more records before you can perform this action.");
	}
	else
	{
		var oResult = openStdDlg("/lgwapp/common/controls/grid/deleteobj.aspx?ObjType="+iObjType+"&iTotal="+a.length, a, 400, 200 );
		if ( oResult )
		{
			document.frames(sGrid).frmGrid.submit();
		}
	}
}

function doBulkUpdate(sGrid, refKey, pParam)
{
	var a;
	a = getSelected(sGrid);
	if (!a)
	{
		alert("You must select one or more records before you can perform this action.");
	}
	else
	{
		var myParam = '';
		if(pParam) myParam = "&param="+pParam;
		var oResult = openStdDlg("/lgwapp/common/controls/grid/bulkUpdate.aspx?KEY=" + refKey + myParam + "&iTotal=" + a.length, a, 400, 200 );
		if ( oResult )
		{
			document.frames(sGrid).frmGrid.submit();
		}
	}
}

function getAll(sGridName)
{
	var o = document.frames(sGridName)._grid.gridBodyTable;
	var a = new Array();
	for (var i=0; i < o.rows.length; i++)
	{
		a[i] = o.rows[i].oid;
	}
	return a;
}
