var	_oXml, _oLastGlow;
var _iSortIndex = -1;
var _oPop = "";
var _o = null;
var _iHeight = 4;

function window.onload()
{
	try
	{
		with (window.parent)
		{
			_iNumSelected = 0;
			_iTotalRecords = (gridBodyTable.rows[0].cells.length > 1) ? gridBodyTable.rows.length : 0;
			if(_bFirstColUI==1)
			{
				for(var i=0; i<_iTotalRecords; i++)
				{
					if(gridBodyTable.rows[i].cells[0].firstChild.disabled) ++_iTotalDisabled;
				}
			}
			if(_iTotalRecords>1 && gridBodyTable.rows[0].unselectable) --_iTotalRecords;
			gridBar.RefreshStatus();
			if (_oGridPageInfo) _oGridStatusBar.UpdatePagingUI();
			SetDummyForReset();
		}
	}
	catch(e) {}
}

function toggleMenu(b)
{
	if (divMenu.children.length > 1 && divMenu.children[0].disabled != b)
	{
		divMenu.children[0].disabled = b;
		divMenu.children[1].disabled = b;
		_oPop = null;
	}
}

function document.oncontextmenu()
{
	return;
}

function popGlow(o, b)
{
	o = o.srcElement;
	if (o.id == "divMenu" || o.tagName == "HR") return;		
	with (o.runtimeStyle)
	{
		if (b)
		{
			color = "highlighttext";
			backgroundColor = "highlight";
		}
		else
		{
			color = "";
			backgroundColor = "";
		}
	}
}

function on()
{
	if (_oPop && _oPop.isOpen) return;
	if (_oLastGlow) off();
	_oLastGlow = event.srcElement;
	while (_oLastGlow.tagName != "TR")
	{
		_oLastGlow = _oLastGlow.parentElement;
	}
	if(_oLastGlow.unselectable) return;
	_oLastGlow.runtimeStyle.backgroundColor = "#ADC3E7";
}

function off()
{
	if (_oPop && _oPop.isOpen) return;
	if (_oLastGlow)
	{
		if(_oLastGlow.unselectable) return;
		_oLastGlow.runtimeStyle.backgroundColor = "";
		_oLastGlow = null;
	}
}

function handleClick()
{
	var o = event.srcElement;
	var oTR = o;
	while (oTR.tagName != "TR")
	{
		oTR = oTR.parentElement;
		if (oTR == null) return; 	
	}
	
	if(oTR.unselectable) return;

	switch (o.tagName)
	{
		case "INPUT":	selectRow(o); break;
		case "IMG":		if (o.src.indexOf('grid') > 0) { expandRow(o); break; }
		default:
			if( oTR.otype != undefined )
			{
				window.parent.parent.openObj(oTR.otype, oTR.oid, oTR);
			}
			else
			{
				window.parent.parent.openObj(gridBodyTable.oname, oTR.oid, oTR);
			}
	}
}

function selectRow(o)
{
	if(o.disabled) return;
	var s = "gridSelectOn";
	var oTr	= o.parentElement.parentElement;
	if (o.checked)
	{
		oTr.style.paddingTop = "0px";
		oTr.selected = true;
		window.parent._iNumSelected++;
	}
	else 
	{
		if (_iSortIndex == -1)
		{
			for (i=0;i < oTr.cells.length; i++)
			{
				if (oTr.parentElement.parentElement.firstChild.children[i].currentStyle.backgroundColor == "#f2f2f6")
				{
					_iSortIndex = i;
					break;
				}
			}
		}
		oTr.selected = false;
		if (oTr.expanded)
		{
			s = "gridPreviewOn";
		}
		else
		{
			oTr.style.paddingTop = "1px";
			s = "";
		}
		window.parent._iNumSelected--;
		off();
	}
	window.parent.gridBar.RefreshStatus();
	applyStyle(oTr, s);
}

function collapseRow(iRow)
{
	if (iRow > -1)
	{
		var s = "";
		var oTr	= gridBodyTable.rows(iRow);
			oTr.oImg.src = "/lgwres/imgs/grid/r.gif";
			oTr.nextSibling.style.display = "none";
		if (oTr.selected)
		{
			s = "gridSelectOn";
		}
		else
		{	
			oTr.style.paddingTop = "1px";
		}
		applyStyle(oTr, s);
		oTr.expanded = false;	
	}
}

function expandRow(o)
{
	var oTr		= o.parentElement.parentElement;
	var iIndex	= oTr.rowIndex;
	if (oTr.expanded)
	{
		collapseRow(iIndex);
		return;
	}
	if (oTr.previewed)
	{
		oTr.nextSibling.style.display = "inline";
	}
	else
	{
		if (!_oXml)
		{
			_oXml		= new ActiveXObject("Microsoft.XMLDOM");
			_oXml.async	= false;
		}
		var sType = "";
		if (oTr.otype != undefined)
		{
			sType = oTr.otype;
		}
		else
		{
			sType = gridBodyTable.oname;
		}
		_oXml.load("/lgwapp/common/controls/grid/preview.aspx?type=" + sType+ "&id=" + oTr.oid + "&view=" + gridBodyTable.viewId);
		var sXml = _oXml.xml;
		var oNewTr = gridBodyTable.insertRow(iIndex+1);
			oNewTr.style.height = "100%";
			oNewTr.onmouseover	= function y() { window.event.cancelBubble = true };
			oNewTr.onclick		= function x() { window.event.cancelBubble = true };
		var oNewTd = oNewTr.insertCell(0);
		with (oNewTd)
		{
			className	= "gridPreview";
			colSpan		= oTr.cells.length;
			innerHTML = sXml;
		}
		oTr.previewed = true;
	}
	oTr.expanded			= true;
	oTr.oImg				= o;
	oTr.style.paddingTop	= "0px";
	o.src = "/lgwres/imgs/grid/d.gif";
	applyStyle(oTr, "gridPreviewOn");
}

function applyStyle(o, sClass)
{
	var i = 0;
	var ii = o.cells.length;
	while (i < ii)
	{
		o.cells[i].className = sClass;
		i++;
	}
}
